APIContacts
Get contact
Fetch a contact by id. Requires the contacts:read scope.
GET
/contacts/{id}curl -X GET "https://productlane.com/api/v2/contacts/{id}" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Parameters
idstringpathrequired
Response
application/json
Successful response
idstringrequiredemailstring | nullrequiredNull for a contact created with only
contact_external_id, such as a phone number.namestring | nullrequiredimage_urlstring | nullrequiredcompany_idstring | nullrequiredis_subscribedbooleanrequiredexternal_idsstring[]requiredCaller-owned cross-system identifiers (CRM ids, etc.). Replaced wholesale on create/update.
integration_idsobjectrequiredcreated_atstringrequiredupdated_atstringrequired
{
"id": "string",
"email": "string",
"name": "string",
"image_url": "string",
"company_id": "string",
"is_subscribed": true,
"external_ids": [
"string"
],
"integration_ids": {
"intercom": "string",
"front": "string",
"zendesk": "string",
"hubspot": "string",
"plain": "string",
"productboard": "string",
"slack_channel": "string"
},
"created_at": "string",
"updated_at": "string"
}